LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XStringResourceSupplier Interface Reference

Provides access to a string resource represented by a com::sun::star::resource::XStringResourceResolver. More...

`import"XStringResourceSupplier.idl";`

Inheritance diagram for XStringResourceSupplier:

## Public Member Functions
com::sun::star::resource::XStringResourceResolver | getStringResource ()
| Provides access to a string resource. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Provides access to a string resource represented by a com::sun::star::resource::XStringResourceResolver.

## Member Function Documentation

## ◆ getStringResource()

com::sun::star::resource::XStringResourceResolver getStringResource | ( |  | ) |

Provides access to a string resource.

Depending on the context the returned object may also support com::sun::star::resource::XStringResourceManager or com::sun::star::resource::XStringResourcePersistence or com::sun::star::resource::XStringResourceWithStorage

Returns
  an interface com::sun::star::resource::XStringResourceResolver

The documentation for this interface was generated from the following file:

- com/sun/star/resource/XStringResourceSupplier.idl